package main

import (
	"runtime"

	"git.frostfs.info/TrueCloudLab/xk6-frostfs/cmd/xk6-registry/importer"
	"git.frostfs.info/TrueCloudLab/xk6-frostfs/internal/version"
	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:     "xk6-registry",
	Version: version.Version,
	Short:   "Command Line Tool to work with Registry",
	Long: `Registry provides tools to work with object registry for xk6.
It contains command for importing objects in registry from preset`,
	SilenceErrors: true,
	SilenceUsage:  true,
	Run:           rootCmdRun,
}

func init() {
	cobra.AddTemplateFunc("runtimeVersion", runtime.Version)
	rootCmd.SetVersionTemplate(`FrostFS xk6-registry
{{printf "Version: %s" .Version }}
GoVersion: {{ runtimeVersion }}
`)
	rootCmd.AddCommand(importer.Cmd)
}

func rootCmdRun(cmd *cobra.Command, _ []string) {
	_ = cmd.Usage()
}
